Gtk2::WebKit::WebResource(3)

NAME
Gtk2::WebKit::WebResource

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebResource

METHODS

  webresource = Gtk2::WebKit::WebResource->new ($data, $url, $mime_type, $encoding, $frame_name)

•   $data (scalar)

•   $url (string)

•   $mime_type (string)

•   $encoding (string)

•   $frame_name (string)

  scalar = $web_resource->get_data

  string = $web_resource->get_encoding

  string = $web_resource->get_frame_name

  string = $web_resource->get_mime_type

  string = $web_resource->get_uri

PROPERTIES

'encoding' (string : default undef : readable / private)
    The text encoding name of the resource

'frame-name' (string : default undef : readable / private)
    The frame name of the resource

'mime-type' (string : default undef : readable / private)
    The MIME type of the resource

'uri' (string : default undef : readable / writable / construct-only / private)
    The URI of the resource

SIGNALS

content-length-received (Gtk2::WebKit::WebResource, integer)
load-failed (Gtk2::WebKit::WebResource, gpointer)
load-finished (Gtk2::WebKit::WebResource)
response-received (Gtk2::WebKit::WebResource, Gtk2::WebKit::NetworkResponse)

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz